__gnu_profile::__reentrance_guard(3cxx)

NAME
__gnu_profile::__reentrance_guard - Reentrance guard.

SYNOPSIS

#include <profiler.h>

  Static Public Member Functions

static bool __get_in ()
static bool & __inside ()

Detailed Description

Reentrance guard.

Mechanism to protect all __gnu_profile operations against recursion, multithreaded and exception reentrance.

Definition at line 58 of file profiler.h.

Constructor & Destructor Documentation

  __gnu_profile::__reentrance_guard::__reentrance_guard () [inline]

Definition at line 79 of file profiler.h.

  __gnu_profile::__reentrance_guard::~__reentrance_guard () [inline]

Definition at line 80 of file profiler.h.

Member Function Documentation

  static bool __gnu_profile::__reentrance_guard::__get_in () [inline], [static]

Definition at line 61 of file profiler.h.

  static bool & __gnu_profile::__reentrance_guard::__inside () [inline], [static]

Definition at line 73 of file profiler.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.